com.io7m.smfj.format.obj

## Class SMFFormatOBJ

- java.lang.Object
- - com.io7m.smfj.format.obj.SMFFormatOBJ

- All Implemented Interfaces:
    SMFParserProviderType

      public final class SMFFormatOBJ
      extends Object
      implements SMFParserProviderType

  A provider for the Wavefront OBJ format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMFFormatOBJ()` Construct an OBJ format provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFParserRandomAccessType` | `parserCreateRandomAccess(SMFParserEventsType events, URI path, FileChannel file)`
    `SMFParserSequentialType` | `parserCreateSequential(SMFParserEventsType events, URI uri, InputStream stream)`
    `SMFFormatDescription` | `parserFormat()`
    `javaslang.collection.SortedSet<SMFFormatVersion>` | `parserSupportedVersions()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFFormatOBJ

          public SMFFormatOBJ()

      Construct an OBJ format provider.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### parserFormat

          public SMFFormatDescription parserFormat()

      Specified by:
        `parserFormat` in interface `SMFParserProviderType`
      Returns:
        The format that this provider supports

    - #### parserSupportedVersions

          public javaslang.collection.SortedSet<SMFFormatVersion> parserSupportedVersions()

      Specified by:
        `parserSupportedVersions` in interface `SMFParserProviderType`
      Returns:
        The supported versions of the format

    - #### parserCreateSequential

          public SMFParserSequentialType parserCreateSequential(SMFParserEventsType events,
                                                                URI uri,
                                                                InputStream stream)
                                                         throws UnsupportedOperationException

      Specified by:
        `parserCreateSequential` in interface `SMFParserProviderType`
      Parameters:
        `events` - The event receiver
        `uri` - The URI referred to by the input stream, for diagnostic messages
        `stream` - An input stream
      Returns:
        A new parser for the format
      Throws:
        `UnsupportedOperationException` - If sequential parsing is not supported
      See Also:
        `SMFFormatDescription.randomAccess()`

    - #### parserCreateRandomAccess

          public SMFParserRandomAccessType parserCreateRandomAccess(SMFParserEventsType events,
                                                                    URI path,
                                                                    FileChannel file)
                                                             throws UnsupportedOperationException

      Specified by:
        `parserCreateRandomAccess` in interface `SMFParserProviderType`
      Parameters:
        `events` - The event receiver
        `path` - The URI referred to by the input stream, for diagnostic messages
        `file` - A file channel
      Returns:
        A new parser for the format
      Throws:
        `UnsupportedOperationException` - If random-access parsing is not supported
      See Also:
        `SMFFormatDescription.randomAccess()`

Copyright © 2017 <code@io7m.com> http://io7m.com